Bug 1314972 - SELinux is preventing snapperd from 'mounton' accesses on the directory /.snapshots/1/snapshot.
SELinux is preventing snapperd from 'mounton' accesses on the directory /.sna...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
23
x86_64 Unspecified
high Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:d891910bc99af40145104666125...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-05 06:13 EST by abyss.7
Modified: 2016-03-24 21:24 EDT (History)
5 users (show)

See Also:
Fixed In Version: selinux-policy-3.13.1-158.10.fc23 selinux-policy-3.13.1-158.11.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-24 21:24:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description abyss.7 2016-03-05 06:13:04 EST
Description of problem:
snapper status 1..2
SELinux is preventing snapperd from 'mounton' accesses on the directory /.snapshots/1/snapshot.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that snapperd should be allowed mounton access on the snapshot directory by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep snapperd /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:snapperd_t:s0-s0:c0.c1023
Target Context                system_u:object_r:snapperd_data_t:s0
Target Objects                /.snapshots/1/snapshot [ dir ]
Source                        snapperd
Source Path                   snapperd
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-158.7.fc23.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.4.3-300.fc23.x86_64 #1 SMP Fri
                              Feb 26 18:45:40 UTC 2016 x86_64 x86_64
Alert Count                   1
First Seen                    2016-03-05 14:10:51 MSK
Last Seen                     2016-03-05 14:10:51 MSK
Local ID                      2d41ca3f-9d86-4df5-963b-236ae1ac88a2

Raw Audit Messages
type=AVC msg=audit(1457176251.46:848): avc:  denied  { mounton } for  pid=19650 comm="snapperd" path="/.snapshots/1/snapshot" dev="dm-4" ino=917507 scontext=system_u:system_r:snapperd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:snapperd_data_t:s0 tclass=dir permissive=0


Hash: snapperd,snapperd_t,snapperd_data_t,dir,mounton

Version-Release number of selected component:
selinux-policy-3.13.1-158.7.fc23.noarch

Additional info:
reporter:       libreport-2.6.4
hashmarkername: setroubleshoot
kernel:         4.4.3-300.fc23.x86_64
type:           libreport
Comment 2 Fedora Update System 2016-03-16 16:42:55 EDT
selinux-policy-3.13.1-158.11.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b9df861e78
Comment 3 Fedora Update System 2016-03-18 21:26:12 EDT
selinux-policy-3.13.1-158.11.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b9df861e78
Comment 4 Fedora Update System 2016-03-24 21:24:07 EDT
selinux-policy-3.13.1-158.11.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.